%define name ruby-gtk
%define version 0.25
%define release 2mdk

Summary: Ruby extension library to use Gtk+.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.ruby-lang.org/gtk/download/gnome-ruby-0.25.tar.bz2
License: GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: ruby >= 1.6, gtk+ >= 1.2.8
BuildRequires: ruby-devel, gtk+-devel XFree86-devel imlib-devel gnome-libs-devel gdk-pixbuf-devel

%description
Ruby extension library to use Gtk+.

%prep
%setup -q -n gnome-ruby-%{version}

%build
ruby extconf.rb
CFLAGS=${RPM_OPT_FLAGS} make

%install
rm -rf %buildroot
libdir=%buildroot`ruby -rrbconfig -e "puts Config::CONFIG['libdir']"`
archdir=%buildroot`ruby -rrbconfig -e "puts Config::CONFIG['archdir']"`

make install libdir=$libdir archdir=$archdir
install -d %buildroot%{_docdir}/%{name}-%{version}
install -d %buildroot%{_docdir}/%{name}-%{version}/gdkimlib
install -d %buildroot%{_docdir}/%{name}-%{version}/gdkpixbuf
install -d %buildroot%{_docdir}/%{name}-%{version}/gnome
install -d %buildroot%{_docdir}/%{name}-%{version}/gtk
cp -a ChangeLog MANIFEST %buildroot%{_docdir}/%{name}-%{version}
cp -a gdkimlib/ChangeLog gdkimlib/MANIFEST gdkimlib/sample %buildroot%{_docdir}/%{name}-%{version}/gdkimlib
cp -a gdkpixbuf/ChangeLog gdkpixbuf/MANIFEST gdkpixbuf/README gdkpixbuf/sample %buildroot%{_docdir}/%{name}-%{version}/gdkpixbuf
cp -a gnome/ChangeLog gnome/MANIFEST gnome/README gnome/doc gnome/sample %buildroot%{_docdir}/%{name}-%{version}/gnome
cp -a gtk/BUGS gtk/ENVIRONMENT gtk/README gtk/ToDo gtk/doc gtk/sample %buildroot%{_docdir}/%{name}-%{version}/gtk

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_libdir}/*/*/*.rb
%{_libdir}/*/*/*/*.so
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/*

%changelog
* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 0.25-2mdk
- rebuild

* Thu May 24 2001 Michal Rokos <m.rokos@sh.cvut.cz> 0.25-1mdk
- new version

* Sat Apr 21 2001 Michal Rokos <m.rokos@sh.cvut.cz> 0.24-1mdk
- official gnome-ruby-0.24
- added more examples

* Mon Feb 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.23-5mdk
- use snapshot, to work with Ruby 1.6
- experimental support for Gnome, GdkImlib, GdkPixbuf

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.23-4mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.23-3mdk
- BM + macros

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.23-2mdk
- new group + cleanup

* Mon Feb 14 2000 Pixel <pixel@mandrakesoft.com> 0.23-1mdk
- first release

# end of file
